package kr.co.compcareworker.Data.Login;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.util.List;

import kr.co.compcareworker.Data.PlanDetail.WorkData;

public class UserItem {
    @SerializedName("mb_idx")
    @Expose
    private String mbIdx;
    @SerializedName("mb_id")
    @Expose
    private String mbId;
    @SerializedName("mb_name")
    @Expose
    private String mbName;
    @SerializedName("mb_password")
    @Expose
    private String mbPassword;
    @SerializedName("mb_phone")
    @Expose
    private String mbPhone;
    @SerializedName("mb_denied")
    @Expose
    private String mbDenied;
    @SerializedName("mb_outdt")
    @Expose
    private Object mbOutdt;
    @SerializedName("mb_fcm_key")
    @Expose
    private Object mbFcmKey;
    @SerializedName("mb_type")
    @Expose
    private String mbType;
    @SerializedName("mb_type2")
    @Expose
    private String mbType2;
    @SerializedName("ag_idx")
    @Expose
    private String agIdx;
    @SerializedName("pt_idx")
    @Expose
    private String ptIdx;
    @SerializedName("mb_user_type")
    @Expose
    private String mbUserType;
    @SerializedName("agency")
    @Expose
    private Agency agency;
    @SerializedName("mb_type_str")
    @Expose
    private String mbTypeStr;
    @SerializedName("photo1_data")
    @Expose
    private List<Photo1Datum> photo1Data = null;
    @SerializedName("photo1")
    @Expose
    private String photo1;
    @SerializedName("img_folder")
    @Expose
    private String imgFolder;

    public String getMbIdx() {
        return mbIdx;
    }

    public void setMbIdx(String mbIdx) {
        this.mbIdx = mbIdx;
    }

    public String getMbId() {
        return mbId;
    }

    public void setMbId(String mbId) {
        this.mbId = mbId;
    }

    public String getMbName() {
        return mbName;
    }

    public void setMbName(String mbName) {
        this.mbName = mbName;
    }

    public String getMbPassword() {
        return mbPassword;
    }

    public void setMbPassword(String mbPassword) {
        this.mbPassword = mbPassword;
    }

    public String getMbPhone() {
        return mbPhone;
    }

    public void setMbPhone(String mbPhone) {
        this.mbPhone = mbPhone;
    }

    public String getMbDenied() {
        return mbDenied;
    }

    public void setMbDenied(String mbDenied) {
        this.mbDenied = mbDenied;
    }

    public Object getMbOutdt() {
        return mbOutdt;
    }

    public void setMbOutdt(Object mbOutdt) {
        this.mbOutdt = mbOutdt;
    }

    public Object getMbFcmKey() {
        return mbFcmKey;
    }

    public void setMbFcmKey(Object mbFcmKey) {
        this.mbFcmKey = mbFcmKey;
    }

    public String getMbType() {
        return mbType;
    }

    public void setMbType(String mbType) {
        this.mbType = mbType;
    }

    public String getMbType2() {
        return mbType2;
    }

    public void setMbType2(String mbType2) {
        this.mbType2 = mbType2;
    }

    public String getAgIdx() {
        return agIdx;
    }

    public void setAgIdx(String agIdx) {
        this.agIdx = agIdx;
    }

    public String getPtIdx() {
        return ptIdx;
    }

    public void setPtIdx(String ptIdx) {
        this.ptIdx = ptIdx;
    }

    public String getMbUserType() {
        return mbUserType;
    }

    public void setMbUserType(String mbUserType) {
        this.mbUserType = mbUserType;
    }

    public Agency getAgency() {
        return agency;
    }

    public void setAgency(Agency agency) {
        this.agency = agency;
    }

    public String getMbTypeStr() {
        return mbTypeStr;
    }

    public void setMbTypeStr(String mbTypeStr) {
        this.mbTypeStr = mbTypeStr;
    }

    public List<Photo1Datum> getPhoto1Data() {
        return photo1Data;
    }

    public void setPhoto1Data(List<Photo1Datum> photo1Data) {
        this.photo1Data = photo1Data;
    }

    public String getPhoto1() {
        return photo1;
    }

    public void setPhoto1(String photo1) {
        this.photo1 = photo1;
    }

    public String getImgFolder() {
        return imgFolder;
    }

    public void setImgFolder(String imgFolder) {
        this.imgFolder = imgFolder;
    }
}
